Skip to content

Get Webhook by ID

Endpoint: GET /api/metadata/webhook/{id}

Retrieves a webhook by its ID.

Path parameters

Paramaeter Description Type Required
id The unique identifier of the webhook to retrieve. string Required.

Response

Returns 200 OK with the webhook object, including parameters such as id, name, sourcePlatform,verifier, webhookExecutionHistory, and more.

Returns 404 if an invalid webhook ID is provided.

Examples

Get a webhook by ID

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/metadata/webhook/402e5a08-e390-11ef-925c-865827cbc571' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "name": "Sample Webhhok",
  "id": "402e5a08-e390-11ef-925c-865827cbc571",
  "receiverWorkflowNamesToVersions": {
    "Workflow1": 1,
    "Workflow2": 1
  },
  "urlVerified": true,
  "sourcePlatform": "Custom",
  "verifier": "HEADER_BASED",
  "headers": {
    "key": "value"
  },
  "secretValue": "***",
  "createdBy": "john.doe@acme.com",
  "webhookExecutionHistory": [
    {
      "eventId": "00eb2c0a-e391-11ef-925c-865827cbc571",
      "matched": true,
      "workflowIds": [
        "9b1bf0a4-e390-11ef-ae1e-7a0cdef2b3ba",
        "9ff40596-e390-11ef-ae1e-7a0cdef2b3ba"
      ],
      "payload": "{\"webhookId\":\"402e5a08-e390-11ef-925c-865827cbc571\",\"headers\":{\"x-real-ip\":[\"10.202.10.31\"],\"x-nginx-proxy\":[\"true\"],\"host\":[\"content-team.orkesconductor.io\"],\"connection\":[\"close\"],\"content-length\":[\"53\"],\"x-request-id\":[\"d7063929da4469b7bf63910c4c5459bf\"],\"x-forwarded-host\":[\"content-team.orkesconductor.io\"],\"x-forwarded-port\":[\"443\"],\"x-forwarded-proto\":[\"https\"],\"x-forwarded-scheme\":[\"https\"],\"x-scheme\":[\"https\"],\"key\":[\"value\"],\"content-type\":[\"application/json\"],\"user-agent\":[\"PostmanRuntime/7.43.0\"],\"accept\":[\"*/*\"],\"cache-control\":[\"no-cache\"],\"postman-token\":[\"d60d175a-e4b5-49fb-8cda-78cd1b40ba19\"],\"accept-encoding\":[\"gzip, deflate, br\"]},\"requestParams\":{},\"id\":\"00eb2c0a-e391-11ef-925c-865827cbc571\",\"timeStamp\":1738739739695,\"body\":\"{\\n    \\\"data\\\":\\n    {\\n        \\\"recipientId\\\":\\\"2\\\"\\n    }\\n}\"}",
      "timeStamp": 1738739739695
    }
  ]
}